function init()
	Sight_Input = GetString("savegame.mod.sight_input")
	if Sight_Input == "" then Sight_Input = "T" end
	no_reload = GetBool("savegame.mod.no_reload")
	unlimited_ammo = GetBool("savegame.mod.unlimited_ammo")
	targeting_mode = GetInt("savegame.mod.targeting_mode")
	changing_mode = 0
	smoke_amount_changed = false
end

function draw()
	UiTranslate(UiCenter(), 300)
	UiAlign("center middle")

	UiFont("bold.ttf", 48)
	UiText("FIM-92 Stinger by gs_115")
	UiFont("regular.ttf", 26)
	UiTranslate(0, 180)
	UiPush()
	    UiTranslate(80, -100)
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)
		last_input = InputLastPressedKey()
		if last_input ~= "" then
		    if changing_mode == 1 then Sight_Input = last_input end
			SetString("savegame.mod.sight_input", Sight_Input)
		    changing_mode = 0
		end
		if UiTextButton(Sight_Input, 50, 30) and changing_mode == 0 then 
			Sight_Input = "..."
			changing_mode = 1
		end
		UiTranslate(-100, 0)
		UiText("Change Sight:", 150, 30)
		UiTranslate(100, 20)
	UiPop()
	UiTranslate(0, -40)
	UiPush()
		UiText("Targeting Mode")
		UiTranslate(0, 30)
		UiColor(0.5, 0.8, 1)
		if targeting_mode == 0 then
			if UiTextButton("Click 1: Lock, Click 2: Fire", 40, 20) then
				targeting_mode = 1
				SetInt("savegame.mod.targeting_mode", targeting_mode)
			end
		else
			if UiTextButton("Click = Fire", 40, 20) then
				targeting_mode = 0
				SetInt("savegame.mod.targeting_mode", targeting_mode)
			end
		end
	UiPop()
	UiTranslate(0, 65)
	UiPush()
		UiText("No Reload")
		UiTranslate(0, 30)
		UiColor(0.5, 0.8, 1)
		if no_reload then
			if UiTextButton("Yes", 40, 20) then
				no_reload = false
				SetBool("savegame.mod.no_reload", no_reload)
			end
		else
			if UiTextButton("No", 40, 20) then
				no_reload = true
				SetBool("savegame.mod.no_reload", no_reload)
			end
		end
	UiPop()
	UiTranslate(0, 65)
	UiPush()
	    UiText("Unlimited Ammo")
	    UiTranslate(0, 30)
	    UiColor(0.5, 0.8, 1)
	    if unlimited_ammo then
			if UiTextButton("Yes", 40, 20) then
				unlimited_ammo = false
				SetBool("savegame.mod.unlimited_ammo", unlimited_ammo)
			end
	    else
			if UiTextButton("No", 40, 20) then
				unlimited_ammo = true
				SetBool("savegame.mod.unlimited_ammo", unlimited_ammo)
			end
		end
	UiPop()

	UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)

	UiTranslate(0, 90)
	if UiTextButton("Close", 80, 40) then
		Menu()
	end
end